import { createSlice, PayloadAction } from '@reduxjs/toolkit';
import type { RootState } from './store';

// Define the initial state using that type
export const initialState = {
  queryListOpen: false,
  queryStatusList: { queries: {}, queryIDsOrder: [] },
  functionsMenuOpen: false,
  currentDatabaseKey: '',
  elementsperDatabaseObject: {},
  autoSendQueries: true,
};

export const configSlice = createSlice({
  name: 'config',
  // `createSlice` will infer the state type from the `initialState` argument
  initialState,
  reducers: {},
});

export const {} = configSlice.actions;

// Other code such as selectors can use the imported `RootState` type
export const configState = (state: RootState) => state.config;

export default configSlice.reducer;
